package com.ruoyi.oa.service;

import com.ruoyi.oa.domain.OaArticle;
import com.ruoyi.oa.domain.vo.OaArticleVo;
import com.ruoyi.oa.domain.bo.OaArticleBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 文章Service接口
 *
 * @author Joshi
 * @date 2025-09-02
 */
public interface IOaArticleService {

    /**
     * 查询文章
     */
    OaArticleVo queryById(Long articleId);

    /**
     * 查询文章列表
     */
    TableDataInfo<OaArticleVo> queryPageList(OaArticleBo bo, PageQuery pageQuery);

    /**
     * 查询文章列表
     */
    List<OaArticleVo> queryList(OaArticleBo bo);

    /**
     * 新增文章
     */
    Boolean insertByBo(OaArticleBo bo);

    /**
     * 修改文章
     */
    Boolean updateByBo(OaArticleBo bo);

    /**
     * 校验并批量删除文章信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
